﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032B: (1 year) VER RS-232 /9500+2Hd
DATE:                  2017-03-07 09:15:21
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       146
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.3.38"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.020  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.021  CALL         Sub Tek TDS3000 Setup RS-232

  1.022  PORT         *RST;*OPC?[I!]

  1.023  HEAD         UUT IDENTIFICATION
  1.024  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.025  MATH         @UUT_Manufacturer = "Tektronix"
  1.026  MATH         @UUT_Model        = "TDS 3032B"
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Check Firmware Version
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.032  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.035  JMPL         END                           @Abort

  1.036  DISP         Connect the 9500 to the UUT as follows:
  1.036  DISP
  1.036  DISP         CH 1 Active Head to UUT CH 1.
  1.036  DISP         CH 2 Active Head to UUT CH 2.

  1.037  MATH         @Chan = 1
  1.038  M9500                       CH1
  1.039  CALL         Sub Tek TDS3000B (1 yr) DCV RS-232 /9500

  1.040  MATH         @Chan = 2
  1.041  M9500                       CH2
  1.042  CALL         Sub Tek TDS3000B (1 yr) DCV RS-232 /9500

  1.043  MATH         @Chan = 1
  1.044  M9500                       CH1
  1.045  CALL         Sub Tek TDS3000B (1 yr) Bandwidth RS-232 /9500/600

  1.046  MATH         @Chan = 2
  1.047  M9500                       CH2
  1.048  CALL         Sub Tek TDS3000B (1 yr) Bandwidth RS-232 /9500/600

  1.049  MATH         @Chan = 1
  1.050  M9500                       CH1
  1.051  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig RS-232 /9500/600

  1.052  MATH         @Chan = 2
  1.053  M9500                       CH2
  1.054  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig RS-232 /9500/600

  1.055  MATH         @Chan = 1
  1.056  M9500                       CH1
  1.057  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig RS-232 /9500/600

  1.058  MATH         @Chan = 2
  1.059  M9500                       CH2
  1.060  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig RS-232 /9500/600

  1.061  MATH         @Chan = 1
  1.062  M9500                       CH1
  1.063  CALL         Sub Tek TDS3000B (1 yr) Sample Rate RS-232 /9500

  1.064  LABEL        END
  1.065  HEAD         -2

  1.066  IF           @Abort
  1.067  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.068  ELSE
  1.069  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.070  ENDIF

  1.071  END
